/* FILE: gpsa2dkd.h                Copyright (c), Symmetric Research, 2003

This include file contains the Common Kernel Area structure which is
shared between the PARxCH and PARGPS kernel drivers to allow for time
stamping acquired data.

*/


// Common Kernel Area revision number

#define CKA_REV           110



// Function pointer types

typedef void (*PKFN_CONTROL)( void* );
typedef void (*PKFN_RELEASE)( void* );
typedef void (*PKFN_RESETGPS)( void* );
typedef void (*PKFN_INTERRUPT)( void* );



// Common Kernel Area structure

typedef struct gpscka {
        int   CkaRev;
        void *GpsDev;
        void *AtodDev;
        PKFN_CONTROL   AtodFuncControl;
        PKFN_RELEASE   AtodFuncRelease;
        PKFN_RESETGPS  AtodFuncResetGps;
        PKFN_INTERRUPT  GpsFuncInterrupt;
        } GPSCKA;
