@echo off

rem FILE: makeall.bat           Copyright (c), Symmetric Research, 2003
rem
rem This batch file does a complete build of the SR PARxCH software.  See
rem the makeall.rpt report file when done for any errors.  Note that you 
rem must have the Microsoft Visual C++ 6.0 compiler installed for this
rem file to run correctly.
rem
rem

rem To include GPS functionality when building the PARxCH software, 
rem you must have the PARGPS software installed and set the following 
rem environment variable to "Yes".  This causes the PARxCH make
rem files to define GPS_AVAILABLE when compiling.  Set the variable 
rem to "No" otherwise.
rem
rem

set GPS_YES_OR_NO="Yes"




echo Building SR PARxCH NT software with PARGPS %GPS_YES_OR_NO% ... see makeall.rpt for errors ...
echo.

echo SR PARxCH NT build report with PARGPS %GPS_YES_OR_NO% ... > MAKEALL.RPT


cd driver
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\lib
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\diags
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\digio
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\examples
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\meter
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\simple
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\scope
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\view
nmake /a                                        >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\2task
nmake /a                                        >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\vbasic
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\convert\ascii
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\..\MAKEALL.RPT
if errorlevel 1 goto error2

cd ..\..\convert\suds
nmake /a                                        >> ..\..\MAKEALL.RPT
if errorlevel 1 goto error2


cd ..\..

goto return







rem Return:
rem
rem

:error2
cd ..

:error1
cd ..

echo An error occurred, see the makeall.rpt report file ...

:return

set GPS_YES_OR_NO=

@echo on
