/* FILE: simp.h                 Copyright (c), Symmetric Research, 2003-2004
 *
 * This include file has data structures that are common between simp.c
 * and downstream user processing.
 *
 *
 */

// Note: Requires PARXCH_MAX_ANALOG_CHANNELS define from parxch.h


/* INI DATA:
 *
 *
 *
 *
 */

#define ON                      1
#define OFF                     0

#define NOFILE                  0          // OutputFileFormat values ...
#define OUTFILE                 1
#define DATFILE                 2

#define NONE                    0          // OutputFileNaming values ...
#define SINGLE                  1
#define SEQUENTIAL              2
#define TIME                    3
#define STDOUT                  4

#define TRIG_NONE               0          // TriggerType values ... 
#define TRIG_THRESHOLD          1
#define TRIG_DIGIO              2

#define INIMAXSTR              256
#define INIMAXTITLE            12
#define INIMAXDIGITAL          PARXCH_MAX_DIGPLOT_CHANNELS
#define INIMAXCHANNEL         (PARXCH_MAX_ANALOG_CHANNELS  +  \
                               PARXCH_MAX_DIGITAL_CHANNELS +  \
                               PARXCH_MAX_GPS_CHANNELS +      \
                               PARXCH_MAX_COUNTER_CHANNELS)
#define HDR_TOTAL_CHANNELS    INIMAXCHANNEL

struct INI_data {

          char *Filename;


        // User specified parameters.

          char *AtodDriverName;
           int AtodModel;
           int PortMode;

           int DataCoding;
        double SamplingRate;
           int GainLog;
           int TurboLog;
           int Calibration;
           int ToggleLed;

           int AtodEnable;
           int KeypressToRun;
           int ExitOnError;
           int DisplayData;
           int DisplayInfo;
          char OutputDirectory[INIMAXSTR];
           int OutputFileFormat;
           int OutputFileNaming;
           int OutputSeqStart;
 unsigned long OutputBlocks;
           int TriggerType;
 unsigned long TriggerThreshold;
           int TriggerDigitalLine;
           int TriggerActionSave;
           int TriggerFilesToSave;
           int TriggerActionSignal;
           int TriggerLineToSignal;
           int TriggerLatchLine;
 
          char ChannelTitle[INIMAXCHANNEL][INIMAXTITLE];
           int ChannelTrigger[INIMAXCHANNEL];

           int DigitalEnable;
          char DigitalTitle[INIMAXDIGITAL][INIMAXTITLE];
           int DigitalTrigger[INIMAXDIGITAL];

          char *GpsDriverName;
           int GpsSerialPort;
           int GpsEnable;
           int GpsDisplayPps;
           int GpsDisplaySerial;
  unsigned int NgpsValues;

           int CounterEnable;

  
        // ... additional computed items ...

           int Decimation;
           int ExtraDecimation;
        double TrueSamplingRate;

           int Channels;
           int ParXchAnalogChannels;
           int ParXchDigitalChannels;
           int ParXchGpsChannels;
           int ParXchCounterChannels;
           int ParXchTotalChannels;
           int ParXchAnaPlotChannels;
           int ParXchDigPlotChannels;
           int ParXchGpsPlotChannels;
           int ParXchCntPlotChannels;
           int ParXchTotalPlotChannels;
           
           char ParXchModelName[INIMAXTITLE];

  unsigned int Nvalues;
           int ChBufPts;
           int AcqBufSize;
           int GpsBufSize;
           int SerBufSize;
 unsigned long OutputFileSize;
           
           int TriggerTimeToSave;
        double BufferTime;
           int SleepMs;

        
        };









/* HDR DATA:
 *
 *
 *
 *
 *
 */

struct channel_data {
        long channel;
        char title[ INIMAXTITLE ];
        };

typedef struct HDR_data {

          char Id[32];

          long Channels;
          long RecordPts;
          long WordSize;
          long DataCoding;

        double SamplingRate;
        double Gain;
        double FilterCoeff;
        double FilterScale;

        struct channel_data ChannelList[ HDR_TOTAL_CHANNELS ];
        } SROUT_HDR;
