Attribute VB_Name = "modDemo"

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' FILE: demo.bas                     Copyright Symmetric Research 2003 '
'                                                                      '
' This file contains constants, global variables and general routines  '
' for the Visual Basic PARxCH test program.                            '
'                                                                      '
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Option Explicit



''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'                                                                      '
'                           CONSTANTS                                  '
'                                                                      '
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Public Const DEMO_STOPPED As Long = 0
Public Const DEMO_RUNNING As Long = 1




''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'                                                                      '
'                      GLOBAL VARIABLES                                '
'                                                                      '
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Public ParXchHandle         As Long
Public DriverName           As String
Public ModelName            As String
Public XchModel             As Long
Public PortMode             As Long
Public ParXchAnalogChannels As Long
Public FifoSize             As Long
Public Nvalues              As Long
Public FileNum              As Long
Public DemoState            As Long
Public DataArray()          As Long
Public NL                   As String
Public WorkingDir           As String

Public Const INIMAXTITLE        As Long = 12
Public Const HDR_TOTAL_CHANNELS As Long = 11

Public Type Channel_Data
        Channel              As Long
        Title(INIMAXTITLE - 1) As Byte
End Type
Public Type SrOutHdr
        Id(31)       As Byte
        Channels     As Long
        RecordPts    As Long
        WordSize     As Long
        DataCoding   As Long
        SamplingRate As Double
        Gain         As Double
        FilterCoeff  As Double
        FilterScale  As Double
        ChannelList(HDR_TOTAL_CHANNELS - 1) As Channel_Data
End Type

Public HDR As SrOutHdr

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'                                                                      '
'                      GLOBAL PROCEDURES                               '
'                                                                      '
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Public Sub Write_Header( Nchan As Long, _
                         Npts As Long, _
                         DataFormat As Long, _
                         SampleRate As Double, _
                         GainLog As Double )

        Dim I           As Integer
        Dim FileId      As Integer
        Dim FileName    As String
        Dim MsgWords    As String
        Dim MsgResponse As Integer
        

        ' Set up header

        HDR.Id(0) = &H53    ' S
        HDR.Id(1) = &H52    ' R
        HDR.Id(2) = &H20    ' 
        HDR.Id(3) = &H50    ' P
        HDR.Id(4) = &H41    ' A
        HDR.Id(5) = &H52    ' R
        HDR.Id(6) = &H78    ' x
        HDR.Id(7) = &H43    ' C
        HDR.Id(8) = &H48    ' H
        

#If GPS_AVAILABLE Then
        HDR.Id(9)  = &H20   '
        HDR.Id(10) = &H77   ' w
        HDR.Id(11) = &H69   ' i
        HDR.Id(12) = &H74   ' t
        HDR.Id(13) = &H68   ' h
        HDR.Id(14) = &H20   ' 
        HDR.Id(15) = &H47   ' G
        HDR.Id(16) = &H50   ' P
        HDR.Id(17) = &H53   ' S
        HDR.Id(18) = &H00   ' NULL
#Else
        HDR.Id(9) = &H00    ' NULL
#End If


        HDR.Channels = Nchan
        HDR.RecordPts = Npts
        HDR.WordSize = 4
        If (DataFormat = PARXCH_DF_OFFSET) Then
               HDR.DataCoding = 0
        Else 'PARXCH_DF_SIGNED
               HDR.DataCoding = 1
        End If               
           
        HDR.SamplingRate = SampleRate
        HDR.Gain = 1^GainLog
        HDR.FilterCoeff = 0#
        HDR.FilterScale = 1#

        For I = 0 To HDR.Channels - 1 Step 1
                HDR.ChannelList(I).Channel = I
                HDR.ChannelList(I).Title(0) = &H43 ' C
                HDR.ChannelList(I).Title(1) = &H48 ' H
                HDR.ChannelList(I).Title(2) = &H30 ' 0
                HDR.ChannelList(I).Title(3) = &H30 + I
                HDR.ChannelList(I).Title(4) = &H00
                Next I


        ' Set file name and id

        FileName = WorkingDir & "\" & "DEMO.HDR"
        FileId = FreeFile



        ' Open file

        Open FileName For Binary Access Write Shared As FileId

        If (Err.Number <> 0) Then
            MsgWords = "ERROR " & Err.Number & ": " & Err.Description
            MsgWords = MsgWords & NL & "Can't open file " & FileName
            MsgResponse = MsgBox(MsgWords, vbOKOnly, "ERR_FILE")
            Err.Clear
        End If



        ' Output data

        Put FileId, 1, HDR

        If (Err.Number <> 0) Then
            MsgWords = "ERROR " & Err.Number & ": " & Err.Description
            MsgWords = MsgWords & NL & "Can't write to file " & FileName
            MsgResponse = MsgBox(MsgWords, vbOKOnly, "ERR_FILE")
            Err.Clear
        End If



        ' Close file

        Close FileId

End Sub

Public Sub Write_Data()

        Dim FileId      As Integer
        Dim FileName    As String
        Dim MsgWords    As String
        Dim MsgResponse As Integer
        

        ' Set file name (using zero padded hex digits) and id

        FileName = WorkingDir & "\" & _
                   String((8-Len(Hex(FileNum))),"0") & Hex(FileNum) & ".OUT"
        FileId = FreeFile



        ' Open file

        Open FileName For Binary Access Write Shared As FileId

        If (Err.Number <> 0) Then
            MsgWords = "ERROR " & Err.Number & ": " & Err.Description
            MsgWords = MsgWords & NL & "Can't open file " & FileName
            MsgResponse = MsgBox(MsgWords, vbOKOnly, "ERR_FILE")
            Err.Clear
        End If



        ' Output data

        Put FileId, 1, DataArray

        If (Err.Number <> 0) Then
            MsgWords = "ERROR " & Err.Number & ": " & Err.Description
            MsgWords = MsgWords & NL & "Can't write to file " & FileName
            MsgResponse = MsgBox(MsgWords, vbOKOnly, "ERR_FILE")
            Err.Clear
        End If



        ' Close file and increment number

        Close FileId
        FileNum = FileNum + 1

End Sub
