Attribute VB_Name = "modSRHELPER"
Attribute VB_Description = "Declarations of DLL procedures for SR helper functions"

Option Explicit


' FILE: srhelper.bas                  Copyright (c), Symmetric Research, 2003
'
' Basic header file for SR helper library functions.
'
' Visual Basic users should include this file in their projects to have
' access to the SR helper library functions.
'


' In the function library prototypes (Declares), the symbols listed below
' can replace the "As Type" info for function arguments.  For example:
' (ByVal X As Long, ByRef Y As Single) equals (ByVal X&, ByRef Y!)
'
' % Integer (short)
' & Long    (32-bit int or long)
' ! Single  (float)
' # Double  (double)
' $ String  (char*)  ByVal BSTR = LPSTR, ByRef BSTR = ptr to ptr to null-term string
'
' When translating from the C declarations in parxch.h, the following
' rules were applied:
'
'   short         -> Integer
'   int           -> Long (because ints are now 32 bits, the same as longs)
'   unsigned int  -> Long
'   long          -> Long
'   unsigned long -> Long
'   float         -> Single
'   double        -> Double
'   char*         -> String
'   anything*     -> pass ByRef instead of ByVal
'   arrays        -> pass ByRef using first item in array
'
' Routines returning a value are Function, the rest are Sub.
'




' GENERIC HELPER FUNCTIONS:
'
' These functions perform a few generic keyboard and file IO tasks and
' are used in various SR application programs to help smooth over OS
' differences.
'

Public Declare Function SrHelperRev _
    Lib "C:\SR\PARXCH\LIB\SRHELPER.DLL" _
    Alias "_SrHelperRev@4" _
   (ByRef Rev As Long) _
    As Long

Public Declare Function SrKeyboardNonBlock _
    Lib "C:\SR\PARXCH\LIB\SRHELPER.DLL" _
    Alias "_SrKeyboardNonBlock@0" () _
    As Long

Public Declare Function SrGetKeyCheck _
    Lib "C:\SR\PARXCH\LIB\SRHELPER.DLL" _
    Alias "_SrGetKeyCheck@0" () _
    As Long

Public Declare Function SrGetKeyWait _
    Lib "C:\SR\PARXCH\LIB\SRHELPER.DLL" _
    Alias "_SrGetKeyWait@0" () _
    As Long

Public Declare Sub SrFlushPrint _
    Lib "C:\SR\PARXCH\LIB\SRHELPER.DLL" _
    Alias "_SrFlushPrint@0" ()

Public Declare Function SrSleep _
    Lib "C:\SR\PARXCH\LIB\SRHELPER.DLL" _
    Alias "_SrSleep@4" _
   (ByVal ms As Long) _
    As Long

Public Declare Function SrWait _
    Lib "C:\SR\PARXCH\LIB\SRHELPER.DLL" _
    Alias "_SrWait@4" _
   (ByVal ms As Long) _
    As Long

Public Declare Function SrFileLength _
    Lib "C:\SR\PARXCH\LIB\SRHELPER.DLL" _
    Alias "_SrFileLength@4" _
   (ByVal fh As Long) _
    As Long

Public Declare Function SrFileExist _
    Lib "C:\SR\PARXCH\LIB\SRHELPER.DLL" _
    Alias "_SrFileExist@4" _
   (ByVal filename As String) _
    As Long

Public Declare Function SrCommit _
    Lib "C:\SR\PARXCH\LIB\SRHELPER.DLL" _
    Alias "_SrCommit@4" _
   (ByVal fh As Long) _
    As Long

Public Declare Function SrStringCopy _
    Lib "C:\SR\PARXCH\LIB\SRHELPER.DLL" _
    Alias "_SrStringCopy@12" _
   (ByVal DestStr As String, _
    ByVal StrStr As String, _
    ByVal MaxChar As Long) _
    As Long

